WHATIS(1)

NOM
whatis - Affiche la description des pages de manuel

SYNOPSIS
whatis [-dhV] [-r|-w] [-s section] [-m système[,...]] [-M chemin] [-C fichier] nom ...

DESCRIPTION
Chaque page de manuel comporte une description courte. whatis recherche des pages de manuel dont le nom correspond à nom et affiche leur description courte. nom peut contenir des jokers (wildcards) avec l'option -w ou être une expression rationnelle avec l'option -r. Lors de l'utilisation de ces options, il peut être nécessaire de placer nom entre « quotes » ou d'« échapper » par « \ » les caractères spéciaux afin d'empêcher l'interpréteur de commandes de les interpréter. Les bases de données d'indexation sont exploitées lors de la recherche. Pour générer une base de données texte whatis conforme à l'ancien modèle, d'après la base de données d'indexation correspondante, saisissez la commande : whatis -M chemin_des_pages -w '*' | sort > chemin_des_pages/whatis Dans cette expression, chemin_des_pages est le chemin d'accès à la structure hiérarchique de pages de manuel, telle que /usr/man.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-v, --verbose
    Affiche des messages d'avertissement étendus.

-r, --regex
    Interprète chaque nom comme une expression régulière. La recherche aboutit si nom correspond à une partie quelconque du nom de la page. Cette option ralentit légèrement whatis en raison de la méthode de recherche dans les bases de données d'indexation.

-w, --wildcard
    Interprète chaque nom comme un motif contenant des jokers (wildcards) compréhensibles par l'interpréteur de commandes. Pour qu'une correspondance soit trouvée, le motif nom doit correspondre au nom complet de la page de manuel. Cette option ralentit légèrement whatis en raison de la méthode de recherche dans les bases de données d'indexation.

-s section, --section section
    La recherche est limitée à la section de manuel indiquée. Si section est une section simple, par exemple « 3 », alors la liste des descriptions affichées inclura les pages des sections « 3 », « 3perl », « 3x », et ainsi de suite. Par contre, si section est plus précis, par exemple « 3perl », alors la liste inclura seulement les pages de cette partie de section.

-m système[,...], --systems=système[,...]
    Si le système a accès aux pages de manuel d'autres systèmes d'exploitation, elles peuvent être recherchées en utilisant cette option. Pour rechercher le nom des pages de manuel de NewOS, il faut employer l'option -m NewOS. Le système indiqué peut être une suite de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure une recherche sur le nom des pages de manuel du système natif, il faut inclure le nom système « man » dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique une liste de structures hiérarchiques de pages de manuel, délimitées par des « : », à utiliser lors des recherches. Par défaut, apropos utilise la variable d'environnement $MANPATH, à moins qu'elle ne soit vide ou ait été supprimée. Dans ce cas, il détermine la liste appropriée des chemins d'accès aux pages de manuel, en se basant sur la variable d'environnement $PATH. Cette option remplace le contenu de $MANPATH.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

VALEUR DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

16  Aucune page de manuel, respectant les critères indiqués, n'a été trouvée.

ENVIRONNEMENT

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiqué comme argument de l'option -m.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par « : », représentant les chemins d'accès aux structures hiérarchiques de pages de manuel.

FICHIERS

/usr/share/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FSSTND.

/usr/share/man/.../whatis
    Base de données texte whatis traditionnelle.

VOIR AUSSI
apropos(1), man(1).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.